 const classIcon =  require('./../resources/images/icon.png')
 const datarangeIcon =  require('./../resources/images/iconClose.png')
const mapData = {
    categories:[ //关系列表
        {name: "中心词"},  
        {name: "关系"},
        {name: "相关症状"},
        {name: "发病部位"},
        {name: "所属科室"},
        {name: "检查"},
        {name: "相关疾病"},
    ],
    links:[
        {
            source: 0,  //关系起始点name
            target: 1,  //关系终点name
            value: "相关症状" //关系名称
        },
        {
            source: 1,
            target: 2,
            value: ""
        },
        {
            source: 1,
            target: 3,
            value: ""
        },
        {
            source: 1,
            target: 4,
            value: ""
        },
        {
            source: 1,
            target: 5,
            value: ""
        },
        {
            source: 0,
            target: 6,
            value: "发病部位"
        },
        {
            source: 6,
            target: 7,
            value: ""
        },
        {
            source: 0,
            target: 8,
            value: "所属科室"
        },
        {
            source: 8,
            target: 9,
            value: ""
        },
        {
            source: 8,
            target: 10,
            value: ""
        },
        {
            source: 8,
            target: 11,
            value: ""
        },
        {
            source: 8,
            target: 12,
            value: ""
        },
        {
            source: 0,
            target: 13,
            value: "检查"
        },
        {
            source: 13,
            target: 14,
            value: ""
        },
        {
            source: 13,
            target: 15,
            value: ""
        },
        {
            source: 13,
            target: 16,
            value: ""
        },
        {
            source: 13,
            target: 17,
            value: ""
        },
        {
            source: 0,
            target: 18,
            value: "相关疾病"
        },
        {
            source: 18,
            target: 19,
            value: ""
        },
        {
            source: 18,
            target: 20,
            value: ""
        },
    ],
    node:[
        {
            category: 0,  //关系索引
            label: "咳嗽",  //显示的节点名称
            name: 0,  //节点Id
            symbolSize: 50
        },
        {
            category: 1,
            label: "",
            name: 1,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 2,
            label: "点滴状便血",
            name: 2,
            symbolSize: 28
        },
        {
            category: 2,
            label: "膀胱蓄热小便失禁",
            name: 3,
            symbolSize: 28
        },
        {
            category: 2,
            label: "百日咳",
            name: 4,
            symbolSize: 28
        },
        {
            category: 2,
            label: "大量胸水",
            name: 5,
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 6,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 3,
            label: "头部",
            name: 7,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 8,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 4,
            label: "五官科",
            name: 9,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 4,
            label: "中西医结合科",
            name: 10,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 4,
            label: "腹部损伤",
            name: 11,
            symbolSize: 28
        },
        {
            category: 4,
            label: "内科",
            name: 12,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 13,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 5,
            label: "巨噬细胞或白细胞移动抑制试验mmit",
            name: 14,
            symbolSize: 28
        },
        {
            category: 5,
            label: "浆膜腔积液",
            name: 15,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 5,
            label: "浆膜腔积液葡萄糖",
            name: 16,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 5,
            label: "结核菌素试验（OT,PPD）",
            name: 17,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 18,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 6,
            label: "HIV相关呼吸道感染",
            name: 19,
            symbolSize: 28
        },
        {
            category: 6,
            label: "热带型肺嗜酸性粒细胞肺炎",
            name: 20,
            symbolSize: 28
        },
    ]
}

const mapData2 = {
    links: [
        {
            source: '高育良',
            target: '侯亮平',
            name: '师生',
            des: '侯亮平是高育良的得意门生'
        }, {
            source: '高育良',
            target: '祁同伟',
            name: '师生'
        }, {
            source: '赵立春',
            target: '高育良',
            name: "前领导"
        }, {
            source: '赵立春',
            target: '赵瑞龙',
            name: "父子"
        }, {
            source: '赵立春',
            target: '刘新建',
            name: "前部队下属"
        }, {
            source: '李达康',
            target: '赵立春',
            name: "前任秘书"
        }, {
            source: '祁同伟',
            target: '高小琴',
            name: "情人"
        }, {
            source: '陈岩石',
            target: '陈海',
            name: "父子"
        }, {
            source: '陆亦可',
            target: '陈海',
            name: "属下"
        }, {
            source: '沙瑞金',
            target: '陈岩石',
            name: "故人"
        }, {
            source: '祁同伟',
            target: '陈海',
            name: "师哥"
        }, {
            source: '祁同伟',
            target: '侯亮平',
            name: "师哥"
        }, {
            source: '侯亮平',
            target: '陈海',
            name: "同学，生死朋友"
        }, {
            source: '高育良',
            target: '吴惠芬',
            name: "夫妻"
        }, {
            source: '陈海',
            target: '赵东来',
            name: "朋友"
        }, {
            source: '高小琴',
            target: '高小凤',
            name: "双胞胎",
            symbolSize: '1'
        }, {
            source: '赵东来',
            target: '陆亦可',
            name: "爱慕"
        }, {
            source: '祁同伟',
            target: '程度',
            name: "领导"
        }, {
            source: '高育良',
            target: '高小凤',
            name: "情人"
        }, {
            source: '赵瑞龙',
            target: '祁同伟',
            name: "勾结",
            symbolSize: '1',
        }, {
            source: '李达康',
            target: '赵东来',
            name: "领导"
        }, {
            source: '赵瑞龙',
            target: '程度',
            name: "领导"
        }, {
            source: '沙瑞金',
            target: '李达康',
            name: "领导"
        }, {
            source: '沙瑞金',
            target: '高育良',
            name: "领导"
        }, {
            source: '祁同伟',
            target: '梁璐',
            name: "夫妻"
        }, {
            source: '吴惠芬',
            target: '梁璐',
            name: "朋友"
        }, {
            source: '李达康',
            target: '欧阳菁',
            name: "夫妻"
        }, {
            source: '赵瑞龙',
            target: '刘新建',
            name: "洗钱工具"
        }, {
            source: '赵瑞龙',
            target: '高小琴',
            name: "勾结，腐化",
            symbolSize: '1'
        }, {
            source: '赵瑞龙',
            target: '高小凤',
            name: "腐化"
        }, {
            source: '吴心怡',
            target: '陆亦可',
            name: "母女"
        }, {
            source: '吴心怡',
            target: '吴惠芬',
            name: "姐妹"
        }, {
            source: '蔡成功',
            target: '侯亮平',
            name: "发小"
        }, {
            source: '蔡成功',
            target: '欧阳菁',
            name: "举报",
            lineStyle: {
                normal: {
                    type: 'dotted',
                    color: '#000'
                }
            }
        }, {
            source: '欧阳菁',
            target: '刘新建',
            name: "举报",
            lineStyle: {
                normal: {
                    type: 'dotted',
                    color: '#000'
                }
            }
        }, {
            source: '刘新建',
            target: '赵瑞龙',
            name: "举报",
            lineStyle: {
                normal: {
                    type: 'dotted',
                    color: '#000'
                }
            }
        }, {
            source: '李达康',
            target: '丁义珍',
            name: "领导"
        }, {
            source: '高小琴',
            target: '丁义珍',
            name: "策划出逃"
        }, {
            source: '祁同伟',
            target: '丁义珍',
            name: "勾结"
        }, {
            source: '赵瑞龙',
            target: '丁义珍',
            name: "勾结"
        }
    ],
    node:[
        {
            name: '侯亮平',
            des: '最高检反贪局侦查处处长，汉东省人民检察院副检察长兼反贪局局长。<br/>经过与腐败违法分子的斗争，最终将一批腐败分子送上了审判台，<br/>正义战胜邪恶，自己也迎来了成长。',
            symbolSize: 100,
            symbol:'rect',
            itemStyle: {
                normal: {
                    color: 'red',
                }
            }
        }, {
            name: '李达康',
            des: '汉东省省委常委，京州市市委书记。是一个正义无私的好官。<br/>但为人过于爱惜自己的羽毛，对待身边的亲人和朋友显得有些无情。',
            itemStyle: {
                normal: {
                    color: 'red',
                }
            }
        }, {
            name: '祁同伟',
            des: '汉东省公安厅厅长',
            symbolSize: 100
        }, {
            name: '陈岩石',
            des: '离休干部、汉东省检察院前常务副检察长。充满正义，平凡而普通的共 产 党人。<br/>对大老虎赵立春，以各种形式执着举报了十二年。<br/>在这场关系党和国家生死存亡的斗争中，老人家以耄耋高龄，<br/>义无反顾地背起了炸 药包，在反腐胜利前夕因病去世。',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '陆亦可',
            des: '汉东省检察院反贪局一处处长',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '高育良',
            des: '汉东省省委副书记兼政法委书记。年近六十，是一个擅长太极功夫的官场老手。侯亮平、陈海和祁同伟是其学生。',
            symbolSize: 100
        }, {
            name: '沙瑞金',
            des: '汉东省省委书记',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '高小琴',
            des: '山水集团董事长，是一位叱咤于政界和商界的风云人物，处事圆滑、精明干练。'
        }, {
            name: '高小凤'
        }, {
            name: '赵东来',
            des: '汉东省京州市公安局局长，充满正义，整治恶势力，<br/>在与检察部门的合作中从最初的质疑到之后的通力配合。',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '程度',
            des: '汉东省京州市公安局光明区分局局长，因犯错误，被李达康书记和赵东来局长点名要清除公安队伍。<br/>但在高小琴的帮助下，祁同伟调他当上了省公安厅办公室副主任。<br/>尽管程度逃避了所有罪责，上面也有人保他，<br/>但最终还是在反贪局局长侯亮平的缜密侦查下被绳之于法。',
        }, {
            name: '吴惠芬',
            des: '汉东省省委副书记高育良的妻子，汉东大学明史教授。',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '赵瑞龙',
            des: '副国级人物赵立春的公子哥，官二代，打着老子的旗子，<br/>黑白两道通吃，可谓呼风唤雨，权倾一时。',
        }, {
            name: '赵立春',
            des: '副国级领导人，曾经的改革闯将，在权利面前，显得极其渺小。',
        }, {
            name: '陈海',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '梁璐',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '刘新建'
        }, {
            name: '欧阳菁'
        }, {
            name: '吴心怡',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '蔡成功'
        }, {
            name: '丁义珍'
        }
    ]
}

const mapData3 = {
    "categories": [
      {
        "name": "中心词"
      },
      {
        "name": "关系"
      },
      {
        "name": "疾病相关体征"
      },
      {
        "name": "疾病相关实验室检查"
      },
      {
        "name": "疾病相关症状"
      },
      {
        "name": "疾病相关辅助检查"
      }
    ],
    "node": [
      {
        "category": 0,
        "label": "胆囊炎",
        "name": 0,
        "symbol": "circle",
        "symbolSize": 50
      },
      {
        "category": 1,
        "label": "",
        "name": 1,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 2,
        "label": "腹肌紧张、压痛、反跳痛",
        "name": 2,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 2,
        "label": "Murphy征阳性",
        "name": 3,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 2,
        "label": "血压偏低",
        "name": 4,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 1,
        "label": "",
        "name": 5,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 3,
        "label": "血常规",
        "name": 6,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 3,
        "label": "十二指肠引流",
        "name": 7,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 1,
        "label": "",
        "name": 8,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 4,
        "label": "疼痛",
        "name": 9,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 4,
        "label": "恶心",
        "name": 10,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 4,
        "label": "畏寒",
        "name": 11,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 4,
        "label": "黄疸",
        "name": 12,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 1,
        "label": "",
        "name": 13,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 5,
        "label": "超声检查",
        "name": 14,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 5,
        "label": "放射线检查",
        "name": 15,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 5,
        "label": "放射性核素检查",
        "name": 16,
        "symbol": "circle",
        "symbolSize": 28
      }
    ],
    "links": [
      {
        "source": 0,
        "target": 1,
        "value": "疾病相关体征"
      },
      {
        "source": 1,
        "target": 2,
        "value": ""
      },
      {
        "source": 1,
        "target": 3,
        "value": ""
      },
      {
        "source": 1,
        "target": 4,
        "value": ""
      },
      {
        "source": 0,
        "target": 5,
        "value": "疾病相关实验室检查"
      },
      {
        "source": 5,
        "target": 6,
        "value": ""
      },
      {
        "source": 5,
        "target": 7,
        "value": ""
      },
      {
        "source": 0,
        "target": 8,
        "value": "疾病相关症状"
      },
      {
        "source": 8,
        "target": 9,
        "value": ""
      },
      {
        "source": 8,
        "target": 10,
        "value": ""
      },
      {
        "source": 8,
        "target": 11,
        "value": ""
      },
      {
        "source": 8,
        "target": 12,
        "value": ""
      },
      {
        "source": 0,
        "target": 13,
        "value": "疾病相关辅助检查"
      },
      {
        "source": 13,
        "target": 14,
        "value": ""
      },
      {
        "source": 13,
        "target": 15,
        "value": ""
      },
      {
        "source": 13,
        "target": 16,
        "value": ""
      }
    ]
  }

const zTreeData = {
    nodes:[
        {
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 1,
            name: "疾病",
            pId: 0
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 2,
            name: "百种常见病",
            pId: 1
        },
        {   
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 3,
            name: "儿科常见病",
            pId: 1
        },
        {
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 4,
            name: "其他常见病",
            pId: 1
        },
        {
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 5,
            name: "其他病",
            pId: 1
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 6,
            name: "A",
            pId: 2,
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 7,
            name: "B",
            pId: 2
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 8,
            name: "C",
            pId: 2
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 9,
            name: "D",
            pId: 2
        },
        {
            icon: datarangeIcon,
            id: 10,
            name: "阿尔兹海默症",
            pId: 6,
        },
        {
            icon: datarangeIcon,
            id: 11,
            name: "白内障",
            pId: 7,
        },
        {
            icon: datarangeIcon,
            id: 12,
            name: "百日咳",
            pId: 7,
        },
        {
            icon: datarangeIcon,
            id: 12,
            name: "病毒性脑膜炎",
            pId: 7,
        },
        {
            icon: datarangeIcon,
            id: 13,
            name: "产后抑郁症",
            pId: 8,
        },
        {
            icon: datarangeIcon,
            id: 14,
            name: "尘肺",
            pId: 8,
        },
        {
            icon: classIcon, 
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 15,
            name: "胆囊炎",
            pId: 9,
        },
    ]
}
const zTreeData2 = {
    nodes:[
        { id:1, pId:0, name:"<font color='red'>父节点1 - 展开</font>", open:true},
			{ id:11, pId:1, name:"父节点11 - 折叠",icon:"resources/zTree/css/zTreeStyle/img/diy/2.png"},
			{ id:111, pId:11, name:"叶子节点111",target:'_blank',url:'http://www.baidu.com'},
			{ id:112, pId:11, name:"叶子节点112"},
			{ id:113, pId:11, name:"叶子节点113"},
			{ id:114, pId:11, name:"叶子节点114"},
			{ id:12, pId:1, name:"父节点12 - 折叠",iconOpen:"resources/zTree/css/zTreeStyle/img/diy/1_open.png",iconClose:"resources/zTree/css/zTreeStyle/img/diy/1_close.png"},
			{ id:121, pId:12, name:"叶子节点121"},
			{ id:122, pId:12, name:"叶子节点122"},
			{ id:123, pId:12, name:"叶子节点123"},
			{ id:124, pId:12, name:"叶子节点124"},
			{ id:13, pId:1, name:"父节点13 - 没有子节点", isParent:true},
			{ id:2, pId:0, name:"父节点2 - 折叠"},
			{ id:21, pId:2, name:"父节点21 - 展开", open:true},
			{ id:211, pId:21, name:"叶子节点211"},
			{ id:212, pId:21, name:"叶子节点212"},
			{ id:213, pId:21, name:"叶子节点213"},
			{ id:214, pId:21, name:"叶子节点214"},
			{ id:22, pId:2, name:"父节点22 - 折叠"},
			{ id:221, pId:22, name:"叶子节点221"},
			{ id:222, pId:22, name:"叶子节点222"},
			{ id:223, pId:22, name:"叶子节点223"},
			{ id:224, pId:22, name:"叶子节点224"},
			{ id:23, pId:2, name:"父节点23 - 折叠"},
			{ id:231, pId:23, name:"叶子节点231"},
			{ id:232, pId:23, name:"叶子节点232"},
			{ id:233, pId:23, name:"叶子节点233"},
			{ id:234, pId:23, name:"叶子节点234"},
			{ id:3, pId:0, name:"父节点3 - 没有子节点", isParent:true}
    ]
}
const zTreeData3 = {
    nodes:[
        {
            icon: "/images/icon.png",
            iconOpen: "s/images/iconOpen.png",
            iconClose: "/images/iconClose.png",
            id: 1,
            name: "疾病",
            pId: 0,
        },
        {
            icon: "/images/icon.png",
            iconOpen: "/images/iconOpen.png",
            iconClose: "/images/iconClose.png",
            id: 2,
            name: "A00-B99-某些传染病和寄生虫病",
            pId: 1,
        },
        {   
            icon: "/images/icon.png",
            iconOpen: "/images/iconOpen.png",
            iconClose: "/images/iconClose.png",
            id: 3,
            name: "A00",
            pId: 2
        },
        // {
        //     icon: classIcon,
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 4,
        //     name: "其他常见病",
        //     pId: 1
        // },
        // {
        //     icon: classIcon,
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 5,
        //     name: "其他病",
        //     pId: 1
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 6,
        //     name: "A",
        //     pId: 2,
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 7,
        //     name: "B",
        //     pId: 2
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 8,
        //     name: "C",
        //     pId: 2
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 9,
        //     name: "D",
        //     pId: 2
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 10,
        //     name: "阿尔兹海默症",
        //     pId: 6,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 11,
        //     name: "白内障",
        //     pId: 7,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 12,
        //     name: "百日咳",
        //     pId: 7,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 12,
        //     name: "病毒性脑膜炎",
        //     pId: 7,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 13,
        //     name: "产后抑郁症",
        //     pId: 8,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 14,
        //     name: "尘肺",
        //     pId: 8,
        // },
        // {
        //     icon: classIcon, 
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 15,
        //     name: "胆囊炎",
        //     pId: 9,
        // },
    ]
}
const currentIIData = [
    `现病史："患者5月余前无明显诱因下出现右上腹胀痛，较剧不可忍，无畏寒发热，无恶心呕吐，无放射痛，无胸闷气急，无皮肤眼白发黄，无呕血黑便，无肛门停止排气排便等不适，遂至浦江人民医院就诊，查B超提示“胆囊结石伴胆囊炎”，予解痉抗感染等治疗后缓解。5月余来患者上述症状反复出现，性质同前，未有明显加重缓解趋势，予解痉等治疗后均可缓解。现患者为求进一步治疗来我院，门诊拟“胆囊结石伴胆囊炎”收住入院。
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者4月余前无明显诱因下出现左上肢酸胀、针刺样疼痛伴麻木，呈持续性，未伴其他明显不适。1月后患者出现全身酸胀、针样刺痛，性质同前，无行走不稳及肢体无力，无头晕恶心，无畏寒发热。遂就诊于当地医院，予药物治疗（具体不详）后未见明显缓解。现患者症状加重遂来我院就诊。门诊拟“肢体麻木”收住入院。
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。
    1987年行左上肢骨质增生剔除术、2005年行右膝关节半月板手术、发现骨质疏松1月余。"`,
    `现病史："患者3年余前自觉双乳发育欠佳，双乳偏小，双乳对称，无局部红肿溃烂，无疼痛不适，无男性化改变。患者1年余前来我院就诊，排除禁忌后于2014-8-14行“双侧大腿吸脂+双侧乳房脂肪充填术”，术程顺利，术后恢复可。现患者自觉双乳仍偏小，影响外观，遂至本院就诊，门诊拟“双侧乳房发育不良”收住入院。
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者8年余前因劳累后出现心悸伴有胸闷气急，无发热畏寒，无咳嗽咳痰,无黑曚晕厥,无下肢水肿等症状，于当地医院检查未见明显异常，未行特殊处理。后心悸、胸闷气急症状反复发作，多劳累后发作，发作期间有端坐呼吸，症状持续数小时候能缓解，4年前患者为求进一步诊治于我院住院治疗，诊断为“扩张型心肌病、心律失常”，予以行射频消融术，起搏器植入。患者术后早期仍时有心悸及胸闷气急症状，但症状逐渐缓解，2年前患者症状基本改善。1月前患者睡眠过程中感ICD放电，伴心前区刺痛，程度中，伴心悸，持续数秒后症状自行缓解，当天共发作3次，无头晕头痛黑矇意识不清，无恶心呕吐，患者遂来我院治疗，予调整ICD程控设置，同时控制心室率，改善心室重构等对症支持治疗，ICD未再出现放电现象，遂带药出院。半天患者再次自觉ICD放电，半天来发作共3次，症状同前，为行进一步治疗遂来我院，现拟“扩张性心肌病，心律失常”收入院。
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者诉20余前无明显诱因下出现大便时自觉肛口有异物外脱，因疼痛未用手回纳，时伴有便中带血，伴疼痛，呈刺痛，疼痛较剧，患者无大便次数改变，无大便性状改变，无畏寒发热等不适，患者遂至当地医院就诊，考虑血栓性痔疮，行手术治疗（具体不详）。治疗后患者症状消失。10年前患者再次发现排便后肛门口肿物脱出，可自行回纳，伴疼痛，呈隐痛，偶有大便带血（1-2次/年）。患者未予重视及进一步治疗。7年内患者肛门口肿物脱出反复发作。3年前患者肛门口肿物需用手回纳，大便带血发作频率增加至1-2次/月。患者仍未予重视及进一步治疗。3年内患者症状进一步加重，肛门口肿物脱出每日发作，疼痛较前加重。患者遂来我院就诊。门诊拟“混合痔”收住入院。     
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者2月前体检行甲状腺彩超检查发现甲状腺右叶结节，大小约3.5*2cm，形态不规则，内部见多个细小钙化并少许血流信号，当时无声音嘶哑、饮水呛咳等症状，当地医院建议患者进一步检查。患者进一步就诊我院行甲状腺彩超检查提示“甲状腺右叶上中极异常回声结节伴右颈部多发淋巴结肿大，考虑恶性肿瘤”。患者为求手术治疗，门诊以“甲状腺结节”收住我科。
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者3月余前于我院穿刺明确诊断为（右乳穿刺）浸润性癌。排除手术禁忌后于2015-01-22我院行右乳肿块部分切除、术中冰冻、前哨淋巴结活检、右乳癌改良根治术、右腋下J-P负压引流术。术中见右乳10-11点距乳晕约2cm可及一大小约4cm×2cm肿块，质硬，边界不清，活动度差，未累及皮肤及胸大肌肌膜。部分切除后术中冰冻，术前15分钟于乳晕周围分点皮下注射美兰及纳米碳，探查腋窝未见明显染色淋巴管及淋巴结，右腋窝清扫见右腋窝多发肿大淋巴结，约黄豆大小，无融合，腋尖可见两枚黑染淋巴结，送检术中冰冻，病理示：（蓝染淋巴结）淋巴结未见癌转移（0/2）。术程顺利。术后常规病理示：“浸润性导管癌（WHO I级），1*1cm大小，伴大量导管原位癌结构切缘阴性淋巴结：见癌转移（2+/22）（冰冻送检“蓝染淋巴结“：0/2；“腋窝”：2+/20）；免疫组化（201503552B片）： ER：&gt;98%+， PR：80%+，Her-2：1+，Ki67：10-20%+”。排除化疗禁忌后于2015-3-18、2015-4-11、2015-5-4我院行3次EC-T化疗，具体为：环磷酰胺针888mg 静脉滴注一次+表柔比星针148mg 静脉滴注一次。出院以来患者无呕吐，无发热等不适。2015-5-13血常规提示白细胞2200/ul，中性粒细胞1400/ul，建议入院治疗，门诊拟“乳腺癌术后，粒细胞减少”收住入院。       
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："自病以来，神清，精神差，胃纳睡眠如上述，二便无殊，体重无明显减轻。
    个人史：患者自小脾气急躁，自我要求高，在乎他人评价，生长于一般家庭，有1弟，家庭关系尚可，家人均体健；大学毕业，目前担任单位副主任，工作压力大；25岁结婚，和丈夫关系好，育有1女体健。"`,
    `现病史："患者6天前我院肠镜下息肉摘除提示：“乙状结肠距肛35cm可见两枚分别大小0.5cm、1.5cm大小息肉，予圈套摘除，后者蒂部上钛夹1枚。直肠距肛5cm可见1枚1cm大小扁平息肉，予圈套摘除，蒂部上钛夹1枚。”术后予禁食、止血、补液等治疗。患者当时无便血，无腹痛，无畏寒发热等不适。患者3天前出院。2天前患者出现便血，颜色较鲜红，自述每次量100ml，至今共5次，血中混有血凝块及成形大便。今患者为行
    治疗，门诊拟“直肠息肉术后”收住入院。
        自病以来，神清，精神可，胃纳可，睡眠一般，大便如上述，小便无殊，体重无明显减轻。
        患者有“糖尿病”病史3年余，规律服用二甲双胍1片bid。"`,
    `现病史："患者3年余前无明显诱因下出现上腹部持续性隐痛,伴腰背部酸痛，程度不剧可忍,休息后疼痛缓解，无明显畏寒发热，无恶心呕吐，无腹胀，无肛门排气排便停止，查胃镜示浅表性胃炎，予口服护胃药处理，未进一步诊治，1年余前患者上腹部胀痛感较前加重，于当地医院体检查B超示：胆囊结石，大小约2cm（报告未见，具体不详），建议手术治疗。近1月余患者上腹部隐痛持续性加重，偶伴发热至38.5℃，余症状基本从前，今患者为求进一步手术诊治，遂至我院就诊，门诊以“胆囊结石 ”收住入院。      
        自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。
    既往史：后背部皮下囊肿5年，咽炎3年余，浅表性胃炎3年"`,
    `现病史："患者近10年前(2006.02)因“反复腰痛2月，再发伴加重20余天”来我院就诊，胸椎CT，MRI均示：胸椎多个楔形改变，部分椎体信号异常，查血IgG：4020mg/dl，κ3580mg/dl，尿蛋白固定电泳见轻链κ，骨髓检查示浆细胞比例明显增高，占47％，以幼浆细胞为主，诊断为多发性骨髓瘤，骨髓病理考虑浆细胞瘤。诊断“多发性骨髓瘤(IgG，κ型)”。于2006.3.3予VAD方案化疗（VCR 0.4mg CI d1-4 ＋ DOX 16mg CI d1-4 ＋ DXM 40mg po d1-4，9-13，21-24），化疗后腰痛改善，于2006-4-6，2006-5-9，2006-06-08继续VAD方案化疗，方案同前，疗效可，复查IgG：1520mg/dl，κ1510mg/dl。2006-07-28及09-07改用MP方案（Mel 16mg d1-4＋Prednisone 90mg d1-4）。2006-10-25曾在本院CTX 5g d1行干细胞动员一次，因干细胞采集量不足放弃干细胞移植。患者自2006-12-28至09-2-4共行MP方案19次，方案为“Mel 16mg d1-4＋Prednisone 90mg d1-4”。自07-7-12起除免疫电泳指标阳性外各项指标检查均正常，此后患者未规律复查。2015-2-9患者因“左锁骨痛5天”再次入院，我院CT提示“右侧部分肋骨走行改变；左锁骨近端病理性骨折考虑，骨髓瘤复发？”，2015-2-10血IgG：1120mg/dl，KAP846mg/dl，复查骨髓常规（2015-2-16）“浆细胞约占5.5%，其中幼浆细胞占3.5%”，考虑骨髓瘤复发，建议行化疗，患者暂拒，并予氯磷酸二钠片镇痛治疗后锁骨疼痛好转，后当地医院定期复查免疫球蛋白定量稳定。2015-6-19当地医院复查免疫球蛋白提示IgG 1420 KAP 472，并感腰骶部不适加重，遂于2015-7-2来我院门诊，查尿KAP轻链:25.8mg/dl，免疫球蛋白IgG：1590mg/dl,KAP轻链：1430mg/dl，较前明显升高，予MP方案化疗，具体为“Mel 16mg d1-4＋Prednisone 90mg d1-4”。后患者出现咳嗽咳痰，肺部CT可见左肺下叶炎性病灶，痰培养提示白假丝酵母2+，伊曲康唑胶囊 200mg qd口服抗真菌治疗后好转。2015-9-12再次行MPT方案化疗，剂量同前。后因开易拉罐时划伤右手食指，伴红肿，头孢类抗生素治疗后好转后于2015-11-5起行MPT方案化疗。末次化疗后自述右手食指反复红肿，反复头孢类抗生素等对症治疗1月余后自诉好转。现患者自诉上腹部异物感，位于剑突下，无压痛，偶咳白痰，无畏寒发热，无恶心呕吐，无胸闷头晕等不适，为进一步评估病情，今患者门诊拟“多发性骨髓瘤”收住入院。
    既往无殊。      
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者1月前无明显诱因出现右上腹间歇性疼痛，为持续性疼痛，伴右肩部放射疼痛，疼痛与体位改变无明显相关。休息后疼痛程度可稍缓解，但症状反复。无发热寒战、无胸闷不适，无恶心呕吐等。患者曾至我院就诊，于2015.7.13行肝胆胰脾B超示：“胆囊体积增大，胆囊多发结石,胆囊炎”，建议进一步诊疗。患者回当地医院住院就诊并于当地医院住院治疗，予消炎止痛治疗，具体诊疗资料未提供。院外曾中医就诊，具体诊疗不详。7天前无明显诱因再次出现右上腹绞痛，疼痛剧烈难忍，不能缓解，右肩部放射痛，无恶心呕吐，无发热畏寒，无头痛头晕等症状。遂再次至我院就诊，我院2015.8.17肝胆胰脾B超显示：“1.肝内胆管轻微扩张，胆总管上中段扩张，下段梗阻不排外2.胆囊饱满，胆囊多发结石,急性胆囊炎改变”。门诊拟“胆囊结石伴胆囊炎”收入我科。   
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。
    患者有乙肝病史。"`,
    `现病史："患者平时月经周期30天，经期8天，量中，偶有痛经，近半年来出现经量减少，为原先量1/2。5年前因“异位妊娠”在当地医院保守治疗后，出现下腹隐痛，不剧能忍，休息后好转，无发热腹痛，无呕心呕吐，无阴道流血流液，无尿频尿急，无里急后重，无下腹坠胀，患者未予重视，未曾就医。随后来症状反复发作，基本同前，曾口服中药治疗，具体不详，症状无明显改善。1+月前来本院就诊，考虑“慢性盆腔痛：盆腔炎性疾病后遗症？”建议手术。末次月经：2015.5.26，行经同前。今来本院，要求手术，门诊拟“慢性盆腔痛：盆腔炎性疾病后遗症？”收入院。 
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者10年前因“IgA肾病，慢性肾功能不全，尿毒症期”于我院行右肾移植术，手术顺利，术后一直服用环胞素及骁悉免疫抑制治疗；患者于2012-11-12、2013-3-21先后行肾穿刺活检，病理初步报告均提示：移植肾IgA肾病 Lee IV级。1年前患者反复出现双下肢凹陷性水肿，胃口差，视物模糊，乏力，尤其在活动后出现呼吸急促，心跳加速等症，患者来我院门诊查血红蛋白 8g/dl，尿蛋白[仪器法]4+，尿素氮31.1mmol/L，肌酐296μmol/L,于2014年10月行左前臂自体动静脉内瘘术，手术顺利。2015年1月开始行维持性血液透析，3次/周，近一月来内瘘血流量下降，约230~240ml/min,7月30日行内瘘CTA示流出静脉近吻合口处粗细不均，局部稍狭窄，未见明显闭塞，今日门诊以尿毒症收入。
    患者40余年前发现高血压，最高220/120mmHg，服用可乐定2片TID,拜新同3片TID，血压控制不佳。        
     自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："患者10年前无明显诱因下出现恶心呕吐伴腹泻，呕吐物和腹泻物为暗红色液体，至医院就诊诊断为“胃出血”，经治疗（具体不详）后好转，后未予随访。3天前患者为预防感冒自服“泰诺”1#，5分钟后出现恶心呕吐，伴有腹泻，呕吐物和腹泻物均为暗红色液体，量各约500ml，无腹痛腹胀，无发热寒战等不适。患者未求诊，后反复出现上述症状，呕吐及腹泻量较前减少，昨日夜间饮“速溶奶茶”1杯，约5分钟后觉上腹不适，恶心呕吐，呕吐剧烈，呕吐物性状同前，伴腹泻性状同前，量各约500ml，遂至我院急诊，查CBC：血红蛋白11.7g/dl,血小板计数86x10^9/L，大便常规,OB：(2016-02-06),隐血4+，腹部CT平扫：1.肝硬化，肝内多发低密度结节，右肝下缘肿块；肝门部为主、后腹膜可见多发肿大淋巴结2.胃腔内多发斑片状高密度，请结合病史除外出血。考虑“消化道出血”，予禁食，止血，护胃，补液等治疗。现转入我科治疗。   
    自病以来，神清，精神软，胃纳差，睡眠一般，大便如前述，小便少，体重无明显减轻。"`,
    `现病史："患者5天前无明显诱因出现发热，无畏寒寒战，体温未测，伴干咳，无咳痰，无头痛、咽痛，无鼻塞流涕，无胸闷气急，无腹痛、腹泻，无尿频、尿急、尿痛，无其他不适，起病当天患者到社区就诊，在到达社区医院门口时患者突感左侧肢体无力，随即摔倒在地，致左侧脸颊及双侧膝盖处局部皮肤软组织挫伤，随即有120车送至本院急诊室。入院时患者反应稍迟钝，测体温38.3℃，无其他不适主诉。急诊予检查CBC：(2015-07-25),白细胞计数9.8x10^9/L,血红蛋白13.3g/dl,血小板计数171x10^9/L,中性粒百分数87.9%  CX3 :尿素氮8.3mmol/L,肌酐115μmol/L, 超敏C反应蛋白9.8mg/L; LABTroponin I：超敏肌钙蛋白I&lt;0.01ng/ml 前降钙素原0.3ng/ml；肺部CT（2015.7.25）：右肺上叶少许斑点炎性纤维灶，左肺尖良性小结节，主动脉壁钙化。颅脑平扫（2015.7.25）：两侧基底节区腔梗灶，侧脑室旁缺血脱髓鞘改变。必要时头颅MRI检查。颅底动脉硬化，老年脑。头颅MRI（2015.7.25）右侧半卵圆中心、右侧基底节区腔梗灶。两侧脑室旁缺血灶、脱髓鞘改变。老年脑。副鼻窦炎。心脏彩超（2015.7.25）：1.升主动脉增宽 2.主动瓣退行性变伴轻中度反流 3.轻度三尖瓣反流 4.心律失常。入院后3小时后患者体温升至39.5℃，伴寒战、胸闷、气急，但左侧肢体无力，反应迟钝等症状缓解；予查LAB@血气：给氧浓度(FIO2)53%,测定酸碱度(pH)7.329,测定氧分压(pO2)78mmHg,碱剩余(BEB)-4.3mmol/L, 测定二氧化碳分压(pCO2)41.7mmHg，全血-乳酸(LAC)3.1mmol/L；予吸氧，甲强龙针40mg静推、沐舒坦针30mg 静推，异丙托嗅胺、布地奈德雾化吸入；散利痛退热及头孢哌酮舒巴坦针2.0 q12h抗感染等治疗。患者次日（7.26）无发热，7月26日复查CBC：(2015-07-26),白细胞计数17.5x10^9/L血红蛋白12.7g/dl,血小板计数118x10^9/L,中性粒百分数96% ；超敏C反应蛋白139.5mg/L.PCT：前降钙素原18.8ng/ml。7.27起患者仍发热，体温38.0℃左右，仍有少量咳嗽，多为干咳，偶咳少量白色粘痰，不易咳出。7月28日复查 CBC：白细胞计数5.3x10^9/L,血红蛋白[12.5g/dl(血小板计数77x10^9/L,中性粒百分数91.9%,超敏C反应蛋白46.3mg/L。前降钙素原(2015.7.28):27.1ng/ml。复查肺部CT平扫（2015.7.28）：两肺支气管炎，两下肺渗出，较前片2015-7-25新发明显。右肺上叶少许斑点炎性纤维灶，左肺尖良性小结节，较前片相仿。主动脉壁钙化；右肺门淋巴结钙化。请呼吸科会诊后认为单纯肺部感染不能解释，感染科会诊后考虑败血症可能，建议调整抗生素方案，7.29起改用泰能针，0.25g q8h 抗感染治疗。今下午为进一步治疗收治入院。
        患者既往有高血压病20余年，收缩压最高至200mgHg，不规则服用美托洛尔片、培哚普利片，血压控制不佳，入院时血压185/78mmHg。
        患者既往肾功能不全4-5年，近3年长期口服肾复康胶囊 4# 3次/日。 
        自病以来，神清，精神可，胃纳可，睡眠一般，小便无殊，用力咳嗽时可有少许大便自肛门排出，为成形便，无腹泻，体重无明显减轻。"`,
    `现病史："患者5年前无明显诱因下出现腹胀，左侧腹部腹胀明显，运动后自觉稍缓解，无腹痛腹泻，无大便习惯、性状改变，无黄疸，至当地医院就诊，胃镜提示：胃窦部隆起（未见报告），予药物治疗（具体不详），症状无明显好转。现患者为求进一步诊治，来我院就诊，症状反复，性质同前，无加重，查胃镜：胃窦大弯隆起病变：腺瘤？医生建议ESD检查，现拟“胃肿物待查”收治我科。      
    自病以来，神清，精神可，胃纳可，睡眠一般，二便无殊，体重无明显减轻。"`,
    `现病史："1月前患者无明显诱因下出现尿频尿急，伴夜尿增多，3-4次/晚，无尿痛，无肉眼血尿，无淋漓不尽，无畏寒发热等不适，遂至萧山医院就诊，查TPSA 6.97ng/ml，行前列腺穿刺检查示“前列腺癌，Gleason评分3+3分”，予口服比卡鲁胺50mg qd+皮下注射亮丙瑞林3.75mg每月1次治疗。患者为求进一步诊治来我院门诊，建议手术治疗，拟“前列腺癌”收住入院。    
    自病以来，神清，精神可，胃纳可，睡眠一般，小便如上诉，大便无殊，体重无明显减轻。"`,
    `现病史："1月前患者无明显诱因下出现尿频尿急，伴夜尿增多，3-4次/晚，无尿痛，无肉眼血尿，无淋漓不尽，无畏寒发热等不适，遂至萧山医院就诊，查TPSA 6.97ng/ml，行前列腺穿刺检查示“前列腺癌，Gleason评分3+3分”，予口服比卡鲁胺50mg qd+皮下注射亮丙瑞林3.75mg每月1次治疗。患者为求进一步诊治来我院门诊，建议手术治疗，拟“前列腺癌”收住入院。    
    自病以来，神清，精神可，胃纳可，睡眠一般，小便如上诉，大便无殊，体重无明显减轻。"`,
    `现病史："患者1年前体检发现尿道口肿物，色鲜红，大小约0.5*1cm，表面光滑，无肉眼血尿，无排尿困难等不适，患者未予重视，1年来尿道口肿物无明显增大，6月前患者无明显诱因下出现尿道出现，量少，无发热畏寒等不适，现患者为求进一步诊治来我院门诊。拟“尿道肉阜”收治入院。        
    自病以来，神清，精神可，胃纳可，睡眠一般，大便无殊，小便如上述，体重无明显减轻。"`
]
module.exports={
    mapData,
    zTreeData,
    mapData3,
    zTreeData3,
    currentIIData
}
